summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/set_rlimits/set_rlimits.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/system/set_rlimits/set_rlimits.SlackBuild b/system/set_rlimits/set_rlimits.SlackBuild
index 673bed551d..92520556f6 100644
--- a/system/set_rlimits/set_rlimits.SlackBuild
+++ b/system/set_rlimits/set_rlimits.SlackBuild
@@ -47,12 +47,8 @@ make install PREFIX=/usr DESTDIR=$PKG
mv $PKG/etc/set_rlimits.conf $PKG/etc/set_rlimits.conf.new
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;